gtksourceviewmm: Gsv::CompletionContext Class Reference

gtksourceviewmm 3.21.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions | List of all members
Gsv::CompletionContext Class Reference

CompletionContext. More...

`#include <gtksourceviewmm/completioncontext.h>`

Inheritance diagram for Gsv::CompletionContext:
[legend]

## Public Member Functions
| CompletionContext (CompletionContext&& src) noexcept
CompletionContext& | operator= (CompletionContext&& src) noexcept
| ~CompletionContext () noexceptoverride
GtkSourceCompletionContext* | gobj ()
| Provides access to the underlying C GObject. More...
const GtkSourceCompletionContext* | gobj () const
| Provides access to the underlying C GObject. More...
GtkSourceCompletionContext* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
void | add_proposals (const Glib::RefPtr< CompletionProvider >& provider, const std::vector< Glib::RefPtr< CompletionProposal > >& proposals, bool finished)
| Providers can use this function to add proposals to the completion. More...
Gtk::TextIter | get_iter () const
| Get the iter at which the completion was invoked. More...
CompletionActivation | get_activation () const
| Get the context activation. More...
Glib::PropertyProxy< CompletionActivation > | property_activation ()
| The type of activation. More...
Glib::PropertyProxy_ReadOnly< CompletionActivation > | property_activation () const
| The type of activation. More...
Glib::PropertyProxy_ReadOnly< Glib::RefPtr< Completion > > | property_completion () const
| The completion object to which the context belongs. More...
Glib::PropertyProxy< Gtk::TextIter > | property_iter ()
| The GtkTextIter at which the completion was invoked. More...
Glib::PropertyProxy_ReadOnly< Gtk::TextIter > | property_iter () const
| The GtkTextIter at which the completion was invoked. More...
Glib::SignalProxy< void > | signal_cancelled ()
| Emitted when the current population of proposals has been cancelled. More...
Public Member Functions inherited from Glib::Object
| Object (const Object &)=delete
Object & | operator= (const Object &)=delete
| Object (Object &&src) noexcept
Object & | operator= (Object &&src) noexcept
void * | get_data (const QueryQuark &key)
void | set_data (const Quark &key, void *data)
void | set_data (const Quark &key, void *data, DestroyNotify notify)
void | remove_data (const QueryQuark &quark)
void * | steal_data (const QueryQuark &quark)
Glib::RefPtr< Glib::Object > | wrap (GObject *object, bool take_copy=false)
Public Member Functions inherited from Glib::ObjectBase
| ObjectBase (const ObjectBase &)=delete
ObjectBase & | operator= (const ObjectBase &)=delete
void | set_property_value (const Glib::ustring &property_name, const Glib::ValueBase &value)
void | get_property_value (const Glib::ustring &property_name, Glib::ValueBase &value) const
void | set_property (const Glib::ustring &property_name, const PropertyType &value)
void | get_property (const Glib::ustring &property_name, PropertyType &value) const
void | connect_property_changed (const Glib::ustring &property_name, const sigc::slot< void > &slot)
void | connect_property_changed (const Glib::ustring &property_name, sigc::slot< void > &&slot)
sigc::connection | connect_property_changed_with_return (const Glib::ustring &property_name, const sigc::slot< void > &slot)
sigc::connection | connect_property_changed_with_return (const Glib::ustring &property_name, sigc::slot< void > &&slot)
void | freeze_notify ()
void | thaw_notify ()
virtual void | reference () const
virtual void | unreference () const
GObject * | gobj ()
const GObject * | gobj () const
GObject * | gobj_copy () const
Public Member Functions inherited from sigc::trackable
| trackable () noexcept
| trackable (const trackable &src) noexcept
| trackable (trackable &&src)
| ~trackable ()
void | add_destroy_notify_callback (void *data, func_destroy_notify func) const
void | notify_callbacks ()
trackable & | operator= (const trackable &src)
trackable & | operator= (trackable &&src)
void | remove_destroy_notify_callback (void *data) const

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...

## Protected Member Functions
virtual void | on_cancelled ()
| This is a default handler for the signal signal_cancelled(). More...
Protected Member Functions inherited from Glib::Object
| Object ()
| Object (const Glib::ConstructParams &construct_params)
| Object (GObject *castitem)
| ~Object () noexceptoverride
Protected Member Functions inherited from Glib::ObjectBase
| ObjectBase ()
| ObjectBase (const char *custom_type_name)
| ObjectBase (const std::type_info &custom_type_info)
| ObjectBase (ObjectBase &&src) noexcept
ObjectBase & | operator= (ObjectBase &&src) noexcept
virtual | ~ObjectBase () noexcept=0
void | initialize (GObject *castitem)
void | initialize_move (GObject *castitem, Glib::ObjectBase *previous_wrapper)

## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gsv::CompletionContext > | wrap (GtkSourceCompletionContext* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Additional Inherited Members
Public Types inherited from Glib::Object
typedef void(*)(gpointer data | DestroyNotify)
Public Types inherited from sigc::trackable
typedef internal::func_destroy_notify | func_destroy_notify

## Detailed Description

CompletionContext.

Since gtksourceviewmm 2.10:

## Constructor & Destructor Documentation

Gsv::CompletionContext::CompletionContext | ( | CompletionContext&& | src | ) |
| noexcept

Gsv::CompletionContext::~CompletionContext | ( |  | ) |
| overridenoexcept

## Member Function Documentation

void Gsv::CompletionContext::add_proposals | ( | const Glib::RefPtr< CompletionProvider >& | provider,
|  | const std::vector< Glib::RefPtr< CompletionProposal > >& | proposals,
|  | bool | finished
| ) |  |

Providers can use this function to add proposals to the completion.

They can do so asynchronously by means of the finished argument. Providers must ensure that they always call this function with finished set to `true` once each population (even if no proposals need to be added).

Parameters

  provider | A CompletionProvider.
  proposals | The list of proposals to add.
  finished | Whether the provider is finished adding proposals.

Since gtksourceviewmm 2.10:

CompletionActivation Gsv::CompletionContext::get_activation | ( |  | ) | const

Get the context activation.

Returns
  The context activation.

Since gtksourceviewmm 2.10:

Gtk::TextIter Gsv::CompletionContext::get_iter | ( |  | ) | const

Get the iter at which the completion was invoked.

Providers can use this to determine how and if to match proposals.

Returns
  A Gtk::TextIter.

Since gtksourceviewmm 2.10:

static GType Gsv::CompletionContext::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

GtkSourceCompletionContext* Gsv::CompletionContext::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

const GtkSourceCompletionContext* Gsv::CompletionContext::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

GtkSourceCompletionContext* Gsv::CompletionContext::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

virtual void Gsv::CompletionContext::on_cancelled | ( |  | ) |
| protectedvirtual

This is a default handler for the signal signal_cancelled().

CompletionContext& Gsv::CompletionContext::operator= | ( | CompletionContext&& | src | ) |
| noexcept

Glib::PropertyProxy< CompletionActivation > Gsv::CompletionContext::property_activation | ( |  | ) |

The type of activation.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< CompletionActivation > Gsv::CompletionContext::property_activation | ( |  | ) | const

The type of activation.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::RefPtr<Completion> > Gsv::CompletionContext::property_completion | ( |  | ) | const

The completion object to which the context belongs.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< Gtk::TextIter > Gsv::CompletionContext::property_iter | ( |  | ) |

The GtkTextIter at which the completion was invoked.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Gtk::TextIter > Gsv::CompletionContext::property_iter | ( |  | ) | const

The GtkTextIter at which the completion was invoked.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::SignalProxy< void > Gsv::CompletionContext::signal_cancelled | ( |  | ) |

Emitted when the current population of proposals has been cancelled.

Providers adding proposals asynchronously should connect to this signal to know when to cancel running proposal queries.

Since gtksourceviewmm 2.10:

Slot Prototype:
  `void on_my_cancelled()`

Emitted when the current population of proposals has been cancelled. Providers adding proposals asynchronously should connect to this signal to know when to cancel running proposal queries.

## Friends And Related Function Documentation

Glib::RefPtr< Gsv::CompletionContext > wrap | ( | GtkSourceCompletionContext * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.